﻿Imports System.Data

Partial Class VB
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Dim dt As New DataTable()
            dt.Columns.AddRange(New DataColumn(3) {New DataColumn("Id"), New DataColumn("FirstName"), New DataColumn("LastName"), New DataColumn("Country")})
            dt.Rows.Add(1, "John", "Hammond", "United States")
            dt.Rows.Add(2, "Mudassar", "Khan", "India")
            dt.Rows.Add(3, "Suzanne", "Mathews", "France")
            dt.Rows.Add(4, "Robert", "Schidner", "Russia")
            GridView1.DataSource = dt
            GridView1.DataBind()
        End If
    End Sub

    Protected Sub OnRowDataBound(sender As Object, e As GridViewRowEventArgs)
        If e.Row.RowType = DataControlRowType.DataRow Then
            e.Row.Cells(1).Text = String.Format("{0} {1}", DataBinder.Eval(e.Row.DataItem, "FirstName"), DataBinder.Eval(e.Row.DataItem, "LastName"))
        End If
    End Sub
End Class
